• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Deploying bmp ejb in WSAD with DB2. Error CNTR0019E

 
Anya Young
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I got a "Non-application exception" while creating bmp ejb in WSAD with DB2 database.
I think my bean can't establish a connection with the database.
This exception is getting thrown while executing this code:
try {
Context jndiCntx = new InitialContext();
DataSource ds =
(DataSource)jndiCntx.lookup("java:comp/env/jdbc/CruiseDB");

return ds.getConnection();
}
catch (NamingException ne) {
throw new EJBException(ne);
}

This is the error I am getting:
3934c704 ExceptionUtil X CNTR0019E: Non-application exception occurred while processing method create: com.ibm.ejs.container.CreateFailureException: javax.ejb.EJBException; nested exception is:
javax.ejb.EJBException
javax.ejb.EJBException
at com.titan.ship.ShipBean.ejbCreate(ShipBean.java:56)
at com.titan.ship.ShipBean.ejbCreate(ShipBean.java:73)
at com.titan.ship.EJSBMPShipHomeBean.create(EJSBMPShipHomeBean.java:29)
at com.titan.ship.EJSRemoteBMPShipHome.create(EJSRemoteBMPShipHome.java:25)
at com.titan.ship._ShipHome_Stub.create(_ShipHome_Stub.java:285)
at java.lang.reflect.Method.invoke(Native Method)
at com.ibm.etools.utc.model.ReflectionMethodModel.invoke(ReflectionMethodModel.java:68)
at com.ibm.etools.utc.servlet.InvokeServlet.invoke(InvokeServlet.java:104)
at com.ibm.etools.utc.servlet.InvokeServlet.doPost(InvokeServlet.java:208)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:760)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
at com.ibm.servlet.engine.webapp.StrictServletInstance.doService(ServletManager.java:827)
at com.ibm.servlet.engine.webapp.StrictLifecycleServlet._service(StrictLifecycleServlet.java:167)
at com.ibm.servlet.engine.webapp.IdleServletState.service(StrictLifecycleServlet.java:297)
at com.ibm.servlet.engine.webapp.StrictLifecycleServlet.service(StrictLifecycleServlet.java:110)
at com.ibm.servlet.engine.webapp.ServletInstance.service(ServletManager.java:472)
at com.ibm.servlet.engine.webapp.ValidServletReferenceState.dispatch(ServletManager.java:1012)
at com.ibm.servlet.engine.webapp.ServletInstanceReference.dispatch(ServletManager.java:913)
at com.ibm.servlet.engine.webapp.WebAppRequestDispatcher.handleWebAppDispatch(WebAppRequestDispatcher.java:523)
at com.ibm.servlet.engine.webapp.WebAppRequestDispatcher.dispatch(WebAppRequestDispatcher.java:282)
at com.ibm.servlet.engine.webapp.WebAppRequestDispatcher.forward(WebAppRequestDispatcher.java:112)
at com.ibm.servlet.engine.srt.WebAppInvoker.doForward(WebAppInvoker.java:91)
at com.ibm.servlet.engine.srt.WebAppInvoker.handleInvocationHook(WebAppInvoker.java:184)
at com.ibm.servlet.engine.invocation.CachedInvocation.handleInvocation(CachedInvocation.java:67)
at com.ibm.servlet.engine.srp.ServletRequestProcessor.dispatchByURI(ServletRequestProcessor.java:122)
at com.ibm.servlet.engine.oselistener.OSEListenerDispatcher.service(OSEListener.java:315)
at com.ibm.servlet.engine.http11.HttpConnection.handleRequest(HttpConnection.java:60)
at com.ibm.ws.http.HttpConnection.readAndHandleRequest(HttpConnection.java:323)
at com.ibm.ws.http.HttpConnection.run(HttpConnection.java:252)
at com.ibm.ws.util.CachedThread.run(ThreadPool.java:122)
----- Begin backtrace for detail
javax.ejb.EJBException
at com.titan.ship.ShipBean.ejbCreate(ShipBean.java:56)
at com.titan.ship.ShipBean.ejbCreate(ShipBean.java:73)
at com.titan.ship.EJSBMPShipHomeBean.create(EJSBMPShipHomeBean.java:29)
at com.titan.ship.EJSRemoteBMPShipHome.create(EJSRemoteBMPShipHome.java:25)
at com.titan.ship._ShipHome_Stub.create(_ShipHome_Stub.java:285)
at java.lang.reflect.Method.invoke(Native Method)
at com.ibm.etools.utc.model.ReflectionMethodModel.invoke(ReflectionMethodModel.java:68)
at com.ibm.etools.utc.servlet.InvokeServlet.invoke(InvokeServlet.java:104)
at com.ibm.etools.utc.servlet.InvokeServlet.doPost(InvokeServlet.java:208)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:760)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
at com.ibm.servlet.engine.webapp.StrictServletInstance.doService(ServletManager.java:827)
at com.ibm.servlet.engine.webapp.StrictLifecycleServlet._service(StrictLifecycleServlet.java:167)
at com.ibm.servlet.engine.webapp.IdleServletState.service(StrictLifecycleServlet.java:297)
at com.ibm.servlet.engine.webapp.StrictLifecycleServlet.service(StrictLifecycleServlet.java:110)
at com.ibm.servlet.engine.webapp.ServletInstance.service(ServletManager.java:472)
at com.ibm.servlet.engine.webapp.ValidServletReferenceState.dispatch(ServletManager.java:1012)
at com.ibm.servlet.engine.webapp.ServletInstanceReference.dispatch(ServletManager.java:913)
at com.ibm.servlet.engine.webapp.WebAppRequestDispatcher.handleWebAppDispatch(WebAppRequestDispatcher.java:523)
at com.ibm.servlet.engine.webapp.WebAppRequestDispatcher.dispatch(WebAppRequestDispatcher.java:282)
at com.ibm.servlet.engine.webapp.WebAppRequestDispatcher.forward(WebAppRequestDispatcher.java:112)
at com.ibm.servlet.engine.srt.WebAppInvoker.doForward(WebAppInvoker.java:91)
at com.ibm.servlet.engine.srt.WebAppInvoker.handleInvocationHook(WebAppInvoker.java:184)
at com.ibm.servlet.engine.invocation.CachedInvocation.handleInvocation(CachedInvocation.java:67)
at com.ibm.servlet.engine.srp.ServletRequestProcessor.dispatchByURI(ServletRequestProcessor.java:122)
at com.ibm.servlet.engine.oselistener.OSEListenerDispatcher.service(OSEListener.java:315)
at com.ibm.servlet.engine.http11.HttpConnection.handleRequest(HttpConnection.java:60)
at com.ibm.ws.http.HttpConnection.readAndHandleRequest(HttpConnection.java:323)
at com.ibm.ws.http.HttpConnection.run(HttpConnection.java:252)
at com.ibm.ws.util.CachedThread.run(ThreadPool.java:122)
When I searched for this error code I found some documentation about this exception occurred with Informix (http://www-3.ibm.com/software/webservers/appserv/doc/v40/ae/infocenter/was/403RN.html). (I am using DB2). I changed Statement cache size to 0, but this did not work.
Did anybody have a similar problem?
Thanks.
 
Kyle Brown
author
Ranch Hand
Posts: 3892
5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The error probably means that it couldn't find your DataSource (e.g. it was a naming exception). Did you add the datasource to the environment for that EJB in your deployment descriptor?
Kyle
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic